Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 804598 - Can not remove individual cookie
: Can not remove individual cookie
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: 16 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on: 760126
  Show dependency treegraph
Reported: 2012-10-23 08:08 PDT by Edoardo Tirtarahardja
Modified: 2012-10-26 02:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Edoardo Tirtarahardja 2012-10-23 08:08:15 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:16.0) Gecko/20100101 Firefox/16.0
Build ID: 20121010144125

Steps to reproduce:

1.  Open 'Cookie' dialog (Options\Security\Web Content\Show Cookies).
2.  Click a cookie need to be removed.
3.  Click 'Remove Cookie' button.

Actual results:

Nothing happens.

Expected results:

The selected cookie should be removed.
Comment 1 :aceman 2012-10-24 01:36:32 PDT
Seems to work fine for me. Anything shown in tools->error console after the removing fails?
Comment 2 Edoardo Tirtarahardja 2012-10-24 05:48:49 PDT
Timestamp: 2012-10-24 08:41:13
Error: ReferenceError: seln is not defined
Source File: chrome://messenger/content/preferences/cookies.js
Line: 641

The local var. seln is used without being defined in 'deleteCookie: function ()'.
Comment 3 :aceman 2012-10-24 07:12:55 PDT
I remember this being fixed somewhere...
Comment 4 :aceman 2012-10-24 07:59:11 PDT
This was fixed in bug 760126 but we need to find out it the fix went into TB16.
Comment 5 :aceman 2012-10-26 02:09:06 PDT
Fixed in bug 760126. The fix should be in TB 16.0.2, to be released soon. Please reopen this bug if the problem persists in that TB version.

Thanks for the catch.

Note You need to log in before you can comment on or make changes to this bug.